For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dropbox Sign WebSDKsSign Up
DocumentationAPIChangelog
DocumentationAPIChangelog
  • API Quickstart
  • API Reference
    • Welcome
    • Authentication
    • Account
      • GETGet Account
      • PUTUpdate Account
      • POSTCreate Account
      • POSTVerify Account
    • Signature Request
    • Template
    • Bulk Send Job
    • Report
    • Team
    • Unclaimed Draft
    • Embedded
    • API App
    • Fax
    • Fax Line
  • Manual Reference Pages
    • Warnings and Errors
    • Constants
    • Search
    • Premium Branding
    • Expiration
    • Glossary
LogoLogo
Dropbox Sign WebSDKsSign Up
API ReferenceAccount

Create Account

||View as Markdown|
POST
https://api.hellosign.com/v3/account/create
POST
/v3/account/create
$curl -X POST 'https://api.hellosign.com/v3/account/create' \
> -u 'YOUR_API_KEY:' \
> -F 'email_address=newuser@dropboxsign.com'
1{
2 "account": {
3 "account_id": "a2b31224f7e6fb5581d2f8cbd91cf65fa2f86aae",
4 "email_address": "newuser@dropboxsign.com",
5 "is_locked": false,
6 "is_paid_hs": false,
7 "is_paid_hf": false,
8 "quotas": {
9 "api_signature_requests_left": 0,
10 "documents_left": 3,
11 "templates_left": 0,
12 "sms_signatures_left": 5
13 },
14 "callback_url": null,
15 "role_code": null,
16 "locale": "en-US"
17 }
18}

Creates a new Dropbox Sign Account that is associated with the specified email_address.

Was this page helpful?
Previous

Update Account

Next

Verify Account

Built with

Authentication

AuthorizationBasic

Your API key can be used to make calls to the Dropbox Sign API. See Authentication for more information. ✅ Supported by Try it console (calls sent in test_mode only).

OR
AuthorizationBearer
You can use an Access Token issued through an OAuth flow to send calls to the Dropbox Sign API from your app. The access scopes required by this endpoint are listed in the gray box above. See [Authentication](/api/reference/authentication) for more information. ❌ **Not supported** by Try it console.

Request

This endpoint expects an object.
email_addressstringRequiredformat: "email"
The email address which will be associated with the new Account.
client_idstringOptional

Used when creating a new account with OAuth authorization.

See OAuth 2.0 Authorization

client_secretstringOptional

Used when creating a new account with OAuth authorization.

See OAuth 2.0 Authorization

localestringOptional

The locale used in this Account. Check out the list of supported locales to learn more about the possible values.

Response headers

X-RateLimit-Limitinteger
The maximum number of requests per hour that you can make.
X-RateLimit-Remaininginteger
The number of requests remaining in the current rate limit window.
X-Ratelimit-Resetinteger
The Unix time at which the rate limit will reset to its maximum.

Response

successful operation
accountobject
oauth_dataobject
warningslist of objects
A list of warnings.

Errors

4XX
Client Request Error

You can use an Access Token issued through an OAuth flow to send calls to the Dropbox Sign API from your app. The access scopes required by this endpoint are listed in the gray box above. See Authentication for more information. ❌ Not supported by Try it console.